> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter recorrência de tarefa



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json get /task/recurrence/{recurrenceId}
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /task/recurrence/{recurrenceId}:
    get:
      tags:
        - Tasks
      summary: Obter recorrência de tarefa
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: recurrenceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  sourceTaskId:
                    type: string
                    format: uuid
                    nullable: true
                  createdById:
                    type: string
                    format: uuid
                    nullable: true
                  frequency:
                    type: string
                    enum:
                      - daily
                      - weekly
                      - monthly
                  interval:
                    type: integer
                  anchorDate:
                    type: string
                  lastGeneratedDate:
                    type: string
                    nullable: true
                  isActive:
                    type: boolean
                  title:
                    type: string
                    nullable: true
                  nextTaskDate:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  taskData:
                    type: object
                    additionalProperties: {}
                    description: Snapshot da tarefa
                  sourceTask:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      title:
                        type: string
                      initialDate:
                        type: string
                    required:
                      - id
                      - title
                      - initialDate
                    additionalProperties: false
                    nullable: true
                required:
                  - id
                  - sourceTaskId
                  - createdById
                  - frequency
                  - interval
                  - anchorDate
                  - lastGeneratedDate
                  - isActive
                  - title
                  - nextTaskDate
                  - createdAt
                  - updatedAt
                  - sourceTask
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````